uniform mat4 uMVPMatrix; // uniform = input const
uniform mat4 uTexMatrix;
attribute vec4 aPosition; // attribute = input property different for each vertex
attribute vec4 aTextureCoord;
varying vec2 vTextureCoord; // varying = output property different for each pixel

void main() {
    gl_Position = uMVPMatrix * aPosition;
    vTextureCoord = ( uTexMatrix * aTextureCoord).xy;
}